package com.gic.haoban.manage.web.qo.moment;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 
 * @ClassName: TabHaobanQwMomentPlan
 * @Description: TODO
 * @Author 徐高华
 * @Date 2025年03月05日 10:27:20
 * @Modify
 * @CopyRight 杭州
 */
public class QwMomentPlanQO implements Serializable {

	private static final long serialVersionUID = 67027585759300L;

	private Long planId ;

	/**
	 * 名称
	 */
	private String title;
	/**
	 * 描述
	 */
	private String remark;
	/**
	 * 几天后失效
	 */
	private int expireDays;
	/**
	 * 执行方式 0企微1好办小程序
	 */
	private int execType;
	/**
	 * 1立即发布2定时发布
	 */
	private Integer publishType;
	/**
	 * 发布时间
	 */
	private Date publishTime;
	/**
	 * 0全部导购 1部分导购
	 */
	private Integer planClerkType;
	/**
	 * 0自主上传 1内容
	 */
	private Integer mediaType;
	/**
	 * 素材json
	 */
	private String mediaInfo;
	/**
	 * 素材回显内容
	 */
	private String mediaInfoShow;

	// 选择的导购id列表
	private List<String> selectClerkIdList ;


	/**
	 * 链接开关
	 */
	private Integer mediaLinkFlag ;

	private Integer analyseFlag ;
	private Integer analyseDay ;

	/**
	 * 结束时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date endDate ;

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Integer getAnalyseFlag() {
		return analyseFlag;
	}

	public void setAnalyseFlag(Integer analyseFlag) {
		this.analyseFlag = analyseFlag;
	}

	public Integer getAnalyseDay() {
		return analyseDay;
	}

	public void setAnalyseDay(Integer analyseDay) {
		this.analyseDay = analyseDay;
	}


	public Integer getMediaLinkFlag() {
		return mediaLinkFlag;
	}

	public void setMediaLinkFlag(Integer mediaLinkFlag) {
		this.mediaLinkFlag = mediaLinkFlag;
	}

	public Long getPlanId() {
		return planId;
	}

	public void setPlanId(Long planId) {
		this.planId = planId;
	}

	public List<String> getSelectClerkIdList() {
		return selectClerkIdList;
	}

	public void setSelectClerkIdList(List<String> selectClerkIdList) {
		this.selectClerkIdList = selectClerkIdList;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public int getExpireDays() {
		return expireDays;
	}

	public void setExpireDays(int expireDays) {
		this.expireDays = expireDays;
	}

	public int getExecType() {
		return execType;
	}

	public void setExecType(int execType) {
		this.execType = execType;
	}

	public Integer getPublishType() {
		return publishType;
	}

	public void setPublishType(Integer publishType) {
		this.publishType = publishType;
	}

	public Date getPublishTime() {
		return publishTime;
	}

	public void setPublishTime(Date publishTime) {
		this.publishTime = publishTime;
	}

	public Integer getPlanClerkType() {
		return planClerkType;
	}

	public void setPlanClerkType(Integer planClerkType) {
		this.planClerkType = planClerkType;
	}

	public Integer getMediaType() {
		return mediaType;
	}

	public void setMediaType(Integer mediaType) {
		this.mediaType = mediaType;
	}

	public String getMediaInfo() {
		return mediaInfo;
	}

	public void setMediaInfo(String mediaInfo) {
		this.mediaInfo = mediaInfo;
	}

	public String getMediaInfoShow() {
		return mediaInfoShow;
	}

	public void setMediaInfoShow(String mediaInfoShow) {
		this.mediaInfoShow = mediaInfoShow;
	}
}